# rpmbuild creates an empty debuginfo package, this is a Mono application
%global debug_package %{nil}

Name:           opencachemanager
Version:        1.0.14
Release:        1%{?dist}
Summary:        Open Cache Manager

Group:          Applications/Communications
License:        ASL 2.0
URL:            http://opencachemanage.sourceforge.net/
Source0:        http://downloads.sourceforge.net/opencachemanage/%{name}-%{version}.tar.gz

BuildRequires:  mono-devel
BuildRequires:  gnome-sharp-devel
BuildRequires:  webkit-sharp-devel
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       ocmengine = %{version}-%{release}

%description
OCM is an easy to use, linux based program for managing your geocaches. This
software allows you to organize and store geocaching information. OCM can be
configured to work with various GPS receivers.


%package -n ocmengine
Summary:        Open Cache Manager Engine
Group:          System Environment/Libraries

%description -n ocmengine
Open Cache Manager Engine


%package -n ocmengine-devel
Summary:        Development files for Open Cache Manager
Group:          Development/Libraries
Requires:       ocmengine = %{version}-%{release}

%description -n ocmengine-devel
Development files for Open Cache Manager


%prep
%setup -q


%build
%configure --enable-release_translated
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/OCM.desktop

%find_lang %{name}


%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%doc ocm-gtk/docs/* ocm-gtk/licence/Licence.txt
%{_bindir}/ocm-gtk
%{_libdir}/%{name}/*
%exclude %{_libdir}/%{name}/ocmengine.dll
%{_datadir}/applications/OCM.desktop
%{_datadir}/mime/packages/*.xml

%files -n ocmengine
%doc ocm-gtk/licence/Licence.txt
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/ocmengine.dll

%files -n ocmengine-devel
%{_libdir}/pkgconfig/ocmengine.pc


%changelog
* Sat Dec 21 2013 Dan Horák <dan[at]danny.cz> 1.0.14-1
- updated to 1.0.14

* Sun Jan 06 2013 Dan Horák <dan[at]danny.cz> 1.0.12-1
- updated to 1.0.12

* Sat Apr 07 2012 Dan Horák <dan[at]danny.cz> 1.0.11-1
- updated to 1.0.11

* Sat Dec 10 2011 Dan Horák <dan[at]danny.cz> 1.0.10-1
- updated to 1.0.10

* Sun Nov 27 2011 Dan Horák <dan[at]danny.cz> 1.0.9-1
- updated to 1.0.9

* Wed Aug 17 2011 Dan Horák <dan[at]danny.cz> 1.0.8-1
- updated to 1.0.8

* Thu Aug 04 2011 Dan Horák <dan[at]danny.cz> 1.0.7-1
- updated to 1.0.7

* Tue Jul 12 2011 Dan Horák <dan[at]danny.cz> 1.0.6-1
- updated to 1.0.6

* Wed Jun 08 2011 Dan Horák <dan[at]danny.cz> 1.0.3-1
- updated to 1.0.3

* Tue May 24 2011 Dan Horák <dan[at]danny.cz> 1.0.1-1
- updated to 1.0.1

* Thu Apr 21 2011 Dan Horák <dan[at]danny.cz> 0.23.14-1
- updated to 0.23.14

* Mon Apr 11 2011 Dan Horák <dan[at]danny.cz> 0.23.13-1
- updated to 0.23.13

* Sun Feb 20 2011 Dan Horák <dan[at]danny.cz> 0.23.5-1
- updated to 0.23.5

* Wed Jan 26 2011 Dan Horák <dan[at]danny.cz> 0.23.1-1
- updated to 0.23.1

* Sat Jan 22 2011 Dan Horák <dan[at]danny.cz> 0.22.9-1
- updated to 0.22.9

* Fri Jan 07 2011 Dan Horák <dan[at]danny.cz> 0.22.8-1
- updated to 0.22.8

* Tue Nov 30 2010 Dan Horák <dan[at]danny.cz> 0.22.7-1
- updated to 0.22.7

* Sun Nov 28 2010 Dan Horák <dan[at]danny.cz> 0.22.6-1
- updated to 0.22.6

* Sun Nov 21 2010 Dan Horák <dan[at]danny.cz> 0.22.5-1
- updated to 0.22.5

* Sun Nov 14 2010 Dan Horák <dan[at]danny.cz> 0.22.4-1
- updated to 0.22.4

* Wed Nov 10 2010 Dan Horák <dan[at]danny.cz> 0.22.3-1
- updated to 0.22.3

* Sun Oct 24 2010 Dan Horák <dan[at]danny.cz> 0.22-1
- updated to 0.22

* Mon Oct 11 2010 Dan Horák <dan[at]danny.cz> 0.21-1
- updated to 0.21

* Thu Sep 16 2010 Dan Horák <dan[at]danny.cz> 0.20-1
- updated to 0.20

* Mon Aug 30 2010 Dan Horák <dan[at]danny.cz> 0.19-1
- updated to 0.19

* Mon Aug 16 2010 Dan Horák <dan[at]danny.cz> 0.18-1
- updated to 0.18

* Fri Aug  5 2010 Dan Horák <dan[at]danny.cz> 0.17-1
- initial Fedora version
